﻿//-----------------------------------------------------------------------
// <copyright file="InstallerPackageDetails.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>30/03/2013</date>
//-----------------------------------------------------------------------

using System.Runtime.Serialization;

namespace AppUpdate.Common
{
	[DataContract]
	public class InstallerPackageDetails
	{
		public InstallerPackageDetails()
		{

		}

		[DataMember]
		public bool IsZipPackage
		{
			get;
			set;
		}

		[DataMember]
		public string DownloadUri
		{
			get;
			set;
		}

		[DataMember]
		public VersionInfo Version
		{
			get;
			set;
		}
	}
}
