﻿//-----------------------------------------------------------------------
// <copyright file="InstallationStageException.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>20/03/2013</date>

using System;
using System.Runtime.Serialization;

namespace AppUpdateInstaller.Model
{
	[Serializable]
	public class InstallationStageException : ApplicationException
	{
		public InstallationStageException() { }

		public InstallationStageException(string message) : base(message) { }

		public InstallationStageException(string message, Exception inner) : base(message, inner) { }

		protected InstallationStageException(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}
	}
}
