﻿//-----------------------------------------------------------------------
// <copyright file="IWindowsShortcut.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>28/04/2013</date>
//-----------------------------------------------------------------------

using System;

namespace ConsoleHoster.Common.Model
{
	public interface IWindowsShortcut : IDisposable
	{
		void Save(string argPath);

		string Arguments { get; set; }

		string ShortCutFile { get; }

		string Target { get; set; }

		string WorkingDirectory { get; set; }
	}
}
