﻿//-----------------------------------------------------------------------
// <copyright file="IXmlStorage.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>04/05/2013</date>
//-----------------------------------------------------------------------

using System.Xml.Linq;

namespace ConsoleHoster.Common.Model
{
	public interface IXmlStorage
	{
		XDocument LoadXDocument(string argPath);

		void StoreXDocument(XDocument argXmlDocument, string argPath);
	}
}
