﻿//-----------------------------------------------------------------------
// <copyright file="ViewSettings.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>02/05/2013</date>
//-----------------------------------------------------------------------
using System.Windows;

namespace ConsoleHoster.Common.Model
{
	public class ViewSettings
	{
		private readonly Window ownerWindow;
		private readonly Style defaultWindowStyle;

		public ViewSettings(Window areOwnerWindow, Style argDefaultWindowStyle)
		{
			this.ownerWindow = areOwnerWindow;
			this.defaultWindowStyle = argDefaultWindowStyle;
		}

		public Window OwnerWindow
		{
			get
			{
				return this.ownerWindow;
			}
		}

		public Style DefaultWindowStyle
		{
			get
			{
				return this.defaultWindowStyle;
			}
		}
	}
}
