﻿//-----------------------------------------------------------------------
// <copyright file="IUserInteractionManager.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>18/02/2013</date>
//-----------------------------------------------------------------------

using System;
using System.Windows.Media;

namespace ConsoleHoster.Common.Notifications
{
	public interface IUserInteractionManager
	{
		bool Confirm(string argMessage, string argCaption, Func<ImageSource> argIconProvider = null);

		bool ConfirmWithDetails(string argMessage, string argCaption, string argOptionalDetails, string argDetailsHeader, Func<ImageSource> argIconProvider = null);

		void ShowMessage(string argMessage);
	}
}
