﻿//-----------------------------------------------------------------------
// <copyright file="IFontFamiliesProvider.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>28/01/2013</date>
//-----------------------------------------------------------------------

using System.Collections.ObjectModel;
using System.Windows.Media;

namespace ConsoleHoster.Common.Utilities
{
	public interface IFontFamiliesProvider
	{
		ReadOnlyCollection<FontFamily> GetAvailableFontFamilies();
	}
}
