﻿//-----------------------------------------------------------------------
// <copyright file="ILogger.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>25/12/2012</date>
//-----------------------------------------------------------------------
using System;

namespace ConsoleHoster.Common.Utilities
{
	public interface ILogger : IDisposable
	{
		void LogError(string argFormat, params string[] args);

		void LogMessage(string argFormat, params string[] args);

		void LogWarning(string argFormat, params string[] args);
	}
}
