﻿//-----------------------------------------------------------------------
// <copyright file="ValidationManager.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>04/05/2013</date>
//-----------------------------------------------------------------------

using System;

namespace ConsoleHoster.Common.Utilities
{
	public static class ValidationManager
	{
		public static void RequireArgumentNotNull(object argParameter, string argParamName)
		{
			if (argParameter == null)
			{
				throw new ArgumentNullException(argParamName);
			}
		}
	}
}
