﻿//-----------------------------------------------------------------------
// <copyright file="IConfigurationProvider.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>23/02/2013</date>
//-----------------------------------------------------------------------

using ConsoleHoster.Common.Model.Configuration;
using ConsoleHoster.Model.Plugins;

namespace ConsoleHoster.Model.Configuration
{
	public interface IConfigurationProvider : IConfigurationSettingsProvider
	{
		string TempFolderName
		{
			get;
		}

		string UpdateServiceEndpointConfigurationName
		{
			get;
		}

		int NumberOfLinesToShowInShowRecentMessagesOnlyMode
		{
			get;
		}
	}
}
