﻿//-----------------------------------------------------------------------
// <copyright file="IPerformanceCounterValueProvider.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>29/03/2013</date>
//-----------------------------------------------------------------------

using System;

namespace ConsoleHoster.Model
{
	public interface IPerformanceCounterValueProvider : IDisposable
	{
		/// <summary>
		/// Returns a value between 0 to 100 representing the percentage of the metric
		/// </summary>
		/// <returns></returns>
		int GetCounterValue();
	}
}
