﻿//-----------------------------------------------------------------------
// <copyright file="IUpdateManager.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>08/12/2012</date>
//-----------------------------------------------------------------------
using AppUpdate.Common;
using System.Threading.Tasks;

namespace ConsoleHoster.Model
{
	public interface IUpdateManager
	{
		InstallerPackageDetails CheckUpdateAvailability(VersionInfo argCurrentVersion);

		Task<string> DownloadInstallerPackageAsync(InstallerPackageDetails argInfo);

		void BeginUpdate(string argInstallerFileLocation);
	}
}
