﻿//-----------------------------------------------------------------------
// <copyright file="StreamMessage.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>27/01/2013</date>
//-----------------------------------------------------------------------
using System;

namespace ConsoleHoster.Model
{
	public struct StreamMessage
	{
		private readonly DateTime dateReceived;
		private readonly string message;

		public StreamMessage(DateTime argDateReceived, string argMessage)
		{
			this.dateReceived = argDateReceived;
			this.message = argMessage;
		}

		public DateTime DateReceived
		{
			get
			{
				return this.dateReceived;
			}
		}

		public string Message
		{
			get
			{
				return this.message;
			}
		}
	}
}
