﻿//-----------------------------------------------------------------------
// <copyright file="HelpView.xaml.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>15/07/2012</date>
//-----------------------------------------------------------------------
using System.Diagnostics;
using System.Windows;

namespace ConsoleHoster.View.Popups
{
	/// <summary>
	/// Interaction logic for HelpView.xaml
	/// </summary>
	public partial class AboutView : Window
	{
		public AboutView()
		{
			InitializeComponent();
		}

		public AboutView(string argAssemblyVersion)
			: this()
		{
			this.txbVersion.Text = argAssemblyVersion;
		}

		private void Hyperlink_RequestNavigate_1(object sender, System.Windows.Navigation.RequestNavigateEventArgs e)
		{
			try
			{
				Process.Start("http://consolehoster.codeplex.com/");
			}
			catch
			{
			}
			e.Handled = true;
		}
	}
}