﻿//-----------------------------------------------------------------------
// <copyright file="ColorChooserView.xaml.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>15/10/2012</date>
//-----------------------------------------------------------------------
using System.Windows;
using System.Windows.Media;

namespace ConsoleHoster.View.Popups
{
	/// <summary>
	/// Interaction logic for ColorChooserView.xaml
	/// </summary>
	public partial class ColorChooserView : Window
	{
		public ColorChooserView()
		{
			InitializeComponent();
		}

		private void btnSave_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = true;
		}

		private void btnCancel_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = false;
		}

		public Color SelectedColor
		{
			get
			{
				return this.cppColor.SelectedColor;
			}
			set
			{
				this.cppColor.SelectedColor = value;
			}
		}
	}
}
