﻿using ConsoleHoster.Common.Utilities;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using TestUtilities;

namespace ConsoleHoster.Common.UnitTests.UtilitiesTests
{
	[TestClass]
	public class ValidationManagerTests
	{
		[TestMethod]
		public void RequireArgumentNotNull_ThrowsOnNullArgument()
		{
			const string tmpParamName = "someParameter";

			ArgumentNullException tmpEx = AssertExtensions.Throws<ArgumentNullException>(() =>
				ValidationManager.RequireArgumentNotNull(null, tmpParamName));

			Assert.AreEqual(tmpParamName, tmpEx.ParamName);
		}
	}
}
