﻿//-----------------------------------------------------------------------
// <copyright file="CommandDataTests.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>03/06/2013</date>
//-----------------------------------------------------------------------

using ConsoleHoster.Model.Entities;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace ConsoleHoster.UnitTests.ModelTests.EntitiesTests
{
	[TestClass]
	public class CommandDataTests
	{
		[TestMethod]
		public void GetCopy_DoesDeepCopy()
		{
			TestRepository tmpRepository = new TestRepository();

			CommandData tmpCopy = tmpRepository.Command1.GetCopy();

			Assert.AreEqual(tmpRepository.Command1.CommandColor, tmpCopy.CommandColor);
			Assert.AreEqual(tmpRepository.Command1.CommandText, tmpCopy.CommandText);
			Assert.AreEqual(tmpRepository.Command1.GroupName, tmpCopy.GroupName);
			Assert.AreEqual(tmpRepository.Command1.IsFinal, tmpCopy.IsFinal);
			Assert.AreEqual(tmpRepository.Command1.Name, tmpCopy.Name);
		}
	}
}
