﻿//-----------------------------------------------------------------------
// <copyright file="AppUpdateServiceWebRole.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>31/03/2013</date>
//-----------------------------------------------------------------------
using System;
using System.ServiceModel;

namespace AppUpdate.Common
{
	[ServiceKnownType(typeof(InstallerPackageDetails))]
	[ServiceKnownType(typeof(VersionInfoV2))]
	[ServiceKnownType(typeof(VersionInfo))]
	[ServiceContract]
	public interface IUpdateService
	{
		[FaultContract(typeof(ArgumentException))]
		[OperationContract]
		InstallerPackageDetails GetLatestVersion(string argApplicationName);
	}
}
