﻿//-----------------------------------------------------------------------
// <copyright file="VersionInfo.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>30/03/2013</date>
//-----------------------------------------------------------------------
using System.Runtime.Serialization;

namespace AppUpdate.Common
{
	[DataContract]
	public class VersionInfo
	{
		private string version;

		public VersionInfo()
			: this(null)
		{

		}

		public VersionInfo(string argVersion)
		{
			this.Version = argVersion;
		}

		[DataMember]
		public string Version
		{
			get
			{
				return this.version;
			}
			set
			{
				this.version = value;
			}
		}
	}
}