﻿//-----------------------------------------------------------------------
// <copyright file="ProcessManager.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>27/01/2013</date>
//-----------------------------------------------------------------------
using System.Diagnostics;

namespace ConsoleHoster.Common.Utilities
{
	public class ProcessManager : IProcessManager
	{
		public Process StartProcess(string argExecutable)
		{
			return Process.Start(argExecutable);
		}

		public Process StartProcess(string argExecutable, string arguments)
		{
			return Process.Start(argExecutable, arguments);
		}
	}
}
