﻿//-----------------------------------------------------------------------
// <copyright file="ConcurrentResourceAccessException.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>24/01/2013</date>
//-----------------------------------------------------------------------
using System;

namespace ConsoleHoster.Common.Utilities.Threading
{
	[Serializable]
	public class ConcurrentResourceAccessException : Exception
	{
		public ConcurrentResourceAccessException() { }
		public ConcurrentResourceAccessException(string message) : base(message) { }
		public ConcurrentResourceAccessException(string message, Exception inner) : base(message, inner) { }
		protected ConcurrentResourceAccessException(
		  System.Runtime.Serialization.SerializationInfo info,
		  System.Runtime.Serialization.StreamingContext context)
			: base(info, context) { }
	}
}
