﻿//-----------------------------------------------------------------------
// <copyright file="ProcessCpuPerformanceCounterValueProvider.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>29/03/2013</date>
//-----------------------------------------------------------------------

namespace ConsoleHoster.Model
{
	internal class ProcessCpuPerformanceCounterValueProvider : ProcessPerfCounterValueProvider
	{
		public const string ProcessCategoryName = "Process";
		public const string ProcessorTimeCounterName = "% Processor Time";

		public ProcessCpuPerformanceCounterValueProvider(string argProcessName)
			: base(new PerformanceCounterInfo(ProcessCategoryName, ProcessorTimeCounterName), argProcessName)
		{
		}
	}
}
