﻿//-----------------------------------------------------------------------
// <copyright file="ProcessMessage.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>15/07/2012</date>
//-----------------------------------------------------------------------

namespace ConsoleHoster.Model
{
	public struct ProcessMessage
	{
		private readonly StreamMessage message;
		private readonly bool isOutputMessage;

		public ProcessMessage(StreamMessage argMessage, bool argIsOutputMessage)
		{
			this.message = argMessage;
			this.isOutputMessage = argIsOutputMessage;
		}

		public StreamMessage Message
		{
			get
			{
				return this.message;
			}
		}

		public bool IsOutputMessage
		{
			get
			{
				return this.isOutputMessage;
			}
		}
	}
}