﻿
namespace ConsoleHoster.Utilities
{
	internal sealed class ExplorerItemIconProviderFactory
	{
		public IExplorerItemIconProvider Create(bool argShellImageProvider)
		{
			return argShellImageProvider ? new ShellIconProvider() as IExplorerItemIconProvider : new StaticIconProvider();
		}
	}
}
