﻿//-----------------------------------------------------------------------
// <copyright file="CollectionToVisibilityConverter.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>21/08/2012</date>
//-----------------------------------------------------------------------
using ConsoleHoster.ViewModel.Entities;
using System;
using System.Windows;
using System.Windows.Data;

namespace ConsoleHoster.View.Converters
{
	public class ItemStateToVisibilityConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			return (ExplorerItemViewModel.ExplorerItemState)value == ExplorerItemViewModel.ExplorerItemState.Expanding ? Visibility.Visible : Visibility.Collapsed;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
