﻿//-----------------------------------------------------------------------
// <copyright file="ProjectsAndCommandsSelector.cs" author="Artak Mkrtchyan">
//     Creative Commons - GNU General Public License (http://creativecommons.org/licenses/GPL/2.0/
// </copyright>
// <author>Artak Mkrtchyan</author>
// <email>mkArtak@gmail.com</email>
// <date>02/06/2013</date>
//-----------------------------------------------------------------------

using ConsoleHoster.ViewModel;
using System.Windows;

namespace ConsoleHoster.View.Popups
{
	/// <summary>
	/// Interaction logic for ProjectsAndCommandsSelector.xaml
	/// </summary>
	public partial class ProjectsAndCommandsSelector : Window
	{
		public ProjectsAndCommandsSelector()
		{
			InitializeComponent();
		}

		private void btnCancel_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = false;
		}

		private void btnSave_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = true;
		}

		public ProjectsAndCommandsSelectorViewModel ViewModel
		{
			get
			{
				return this.DataContext as ProjectsAndCommandsSelectorViewModel;
			}
		}
	}
}